Package org.apache.avro.idl

# Class IdlFile

java.lang.Object
org.apache.avro.idl.IdlFile

public class IdlFile extends Object
A parsed IdlFile. Provides access to the named schemas in the IDL file and the protocol containing the schemas.

## Method Summary

Modifier and Type
Method
Description
`org.apache.avro.Schema`
`getMainSchema()`
The (main) schema defined by the IDL file.
`org.apache.avro.Schema`
`getNamedSchema(String name)`
Get a named schema defined by the IDL file, by name.
`Map<String,org.apache.avro.Schema>`
`getNamedSchemas()`
The named schemas defined by the IDL file, mapped by their full name.
`org.apache.avro.Protocol`
`getProtocol()`
The protocol defined by the IDL file.
`List<String>`
`getWarnings()`
`List<String>`
`getWarnings(String importFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMainSchema

public org.apache.avro.Schema getMainSchema()
The (main) schema defined by the IDL file.

### getProtocol

public org.apache.avro.Protocol getProtocol()
The protocol defined by the IDL file.

### getWarnings

public List<String> getWarnings()

### getWarnings

public List<String> getWarnings(String importFile)

### getNamedSchemas

public Map<String,org.apache.avro.Schema> getNamedSchemas()
The named schemas defined by the IDL file, mapped by their full name.

### getNamedSchema

public org.apache.avro.Schema getNamedSchema(String name)
Get a named schema defined by the IDL file, by name. The name can be a simple name in the default namespace of the IDL file (e.g., the namespace of the protocol), or a full name.

Parameters:
  `name` - the full name of the schema, or a simple name
Returns:
  the schema, or `null` if it does not exist